# Class SpeciesEvolution

#### Hierarchy (view full)

- SpeciesFormEvolution
  - SpeciesEvolution

- Defined in src/data/pokemon-evolutions.ts:80

#####
Index

### Constructors

constructor

### Properties

condition
evoFormKey
item
level
preFormKey
speciesId
wildDelay

## Constructors

### constructor

- new SpeciesEvolution(speciesId, level, item, condition, wildDelay?): SpeciesEvolution

- #### Parameters

  - speciesId: Species
  - level: number
  - item: EvolutionItem
  - condition: SpeciesEvolutionCondition
  - `Optional` wildDelay: SpeciesWildEvolutionDelay

  #### Returns SpeciesEvolution

  Overrides SpeciesFormEvolution.constructor

  - Defined in src/data/pokemon-evolutions.ts:81

## Properties

### condition

condition: SpeciesEvolutionCondition

Inherited from SpeciesFormEvolution.condition

- Defined in src/data/pokemon-evolutions.ts:66

### evoFormKey

evoFormKey: string

Inherited from SpeciesFormEvolution.evoFormKey

- Defined in src/data/pokemon-evolutions.ts:63

### item

item: EvolutionItem

Inherited from SpeciesFormEvolution.item

- Defined in src/data/pokemon-evolutions.ts:65

### level

level: number

Inherited from SpeciesFormEvolution.level

- Defined in src/data/pokemon-evolutions.ts:64

### preFormKey

preFormKey: string

Inherited from SpeciesFormEvolution.preFormKey

- Defined in src/data/pokemon-evolutions.ts:62

### speciesId

speciesId: Species

Inherited from SpeciesFormEvolution.speciesId

- Defined in src/data/pokemon-evolutions.ts:61

### wildDelay

wildDelay: SpeciesWildEvolutionDelay

Inherited from SpeciesFormEvolution.wildDelay

- Defined in src/data/pokemon-evolutions.ts:67